Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1281950 - (CVE-2015-8242) CVE-2015-8242 libxml2: Buffer overread with HTML parser in push mode in xmlSAX2TextNode [NEEDINFO]
CVE-2015-8242 libxml2: Buffer overread with HTML parser in push mode in xmlSA...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20151011,reported=2...
: Security
Depends On: 1281951 1281952 1281953 1284794 1286495 1286496 1286497 1323037
Blocks: 1274223 1281961 1318206
  Show dependency treegraph
 
Reported: 2015-11-13 16:44 EST by Adam Mariš
Modified: 2017-08-24 14:36 EDT (History)
22 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A denial of service flaw was found in libxml2. A remote attacker could provide a specially crafted XML or HTML file that, when processed by an application using libxml2, would cause that application to leak potentially sensitive information.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcermak: needinfo? (veillard)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2549 normal SHIPPED_LIVE Moderate: libxml2 security update 2015-12-07 10:13:44 EST
Red Hat Product Errata RHSA-2015:2550 normal SHIPPED_LIVE Moderate: libxml2 security update 2015-12-07 11:59:33 EST
Red Hat Product Errata RHSA-2016:1089 normal SHIPPED_LIVE Moderate: Red Hat JBoss Web Server 3.0.3 security update 2016-05-17 16:12:21 EDT

  None (edit)
Description Adam Mariš 2015-11-13 16:44:44 EST
Stack-based buffer overread vulnerability with HTML parser in push mode in xmlSAX2TextNode causing segmentation fault when compiled with ASAN.

Upstream bug (containing reproducer):

https://bugzilla.gnome.org/show_bug.cgi?id=756372
Comment 1 Adam Mariš 2015-11-13 16:46:21 EST
Created libxml2 tracking bugs for this issue:

Affects: fedora-all [bug 1281951]
Comment 2 Adam Mariš 2015-11-13 16:46:30 EST
Created mingw-libxml2 tracking bugs for this issue:

Affects: fedora-all [bug 1281952]
Affects: epel-7 [bug 1281953]
Comment 3 Adam Mariš 2015-11-19 06:33:41 EST
Acknowledgments:

Name: the GNOME project
Upstream: Hugh Davenport
Comment 4 Adam Mariš 2015-11-19 07:57:45 EST
CVE assignment:

http://openwall.com/lists/oss-security/2015/11/18/23
Comment 11 errata-xmlrpc 2015-12-07 05:15:09 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:2549 https://rhn.redhat.com/errata/RHSA-2015-2549.html
Comment 12 errata-xmlrpc 2015-12-07 07:01:16 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2550 https://rhn.redhat.com/errata/RHSA-2015-2550.html
Comment 16 errata-xmlrpc 2016-05-17 12:15:04 EDT
This issue has been addressed in the following products:



Via RHSA-2016:1089 https://rhn.redhat.com/errata/RHSA-2016-1089.html

Note You need to log in before you can comment on or make changes to this bug.